> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trytldw.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all collections



## OpenAPI

````yaml get /collections/
openapi: 3.1.0
info:
  title: tl;dw
  version: 0.0.1
  x-logo:
    url: https://app.trytldw.ai/static/images/sidebar_logo.svg
    backgroundColor: transparent
    altText: tl;dw Logo
  contact:
    name: tl;dw Support
    url: https://app.trytldw.ai/support
  termsOfService: https://app.trytldw.ai/terms
  x-apisguru-categories:
    - video
    - ai
servers:
  - url: https://api.trytldw.ai/v1
security: []
tags:
  - name: Collection
    description: Collection
  - name: Video
    description: Media
  - name: Account
    description: Account
paths:
  /collections/:
    get:
      tags:
        - Manage Collections
      summary: List all collections
      operationId: list_collections_collections__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCollectionsResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    ListCollectionsResponse:
      properties:
        collections:
          items:
            $ref: '#/components/schemas/Collection'
          type: array
          title: Collections
          examples:
            - - id: c1a2b3c4-1a2b-3c4d-5e6f-7g8h9i0j1k2l
                name: Collection 1
              - id: a1b2c3d4-5e6f-7g8h-9i0j-1k2l3m4n5o6
                name: Collection 2
      type: object
      required:
        - collections
      title: ListCollectionsResponse
    Collection:
      properties:
        id:
          type: string
          title: Id
          examples:
            - c1a2b3c4-1a2b-3c4d-5e6f-7g8h9i0j1k2l
        name:
          type: string
          title: Name
          examples:
            - Collection 1
      type: object
      required:
        - id
        - name
      title: Collection
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````